
#ifndef MBUS_DIALOG_H_
#define MBUS_DIALOG_H_

#include <stdint.h>

class ResponseCallback {
public:
  virtual void sendResponse(uint8_t *responseBuffer, uint16_t responseBufferLength) =0;
  virtual void sendError(uint8_t code) = 0;
};

class RequestSender {
public:
  virtual uint8_t *getSendBuffer() =0;
  virtual void sendBufferReady(uint16_t bufLen, ResponseCallback *responseCallback) =0;
};


#endif /* MBUS_DIALOG_H_ */
